from setuptools import setup, find_packages

# WARNING: egg_info_patch is a temporary patch used to build sdist with 
# appropriate revision number. This feature is not supported by setuptools.
# Remove this patch as soon as svn structure changes to not use EXTERNALS 
# anymore.
import egg_info_patch

version = '5.4.7'

setup(name='Products.ERP5',
      version=version,
      description="This is the main product of ERP5. It defines most API,"\
      "most of the logic of an ERP5 site like the Universal Business Model.",
      long_description=open("README.txt").read() + "\n" + \
                       open("CHANGES.txt").read(),
      classifiers=[
        "Framework :: Zope2",
        "Operating System :: OS Independent",
        ],
      keywords='Zope ERP5',
      author='NEXEDI SA',
      author_email='info@nexedi.com',
      url='http://svn.erp5.org/erp5/trunk/products/ERP5',
      packages=find_packages(exclude=['ez_setup']),
      namespace_packages=['Products'],
      include_package_data=True,
      zip_safe=False,
      install_requires=[
          'setuptools',
          'python-memcached>=1.45',
          'xml-marshaller>=0.9.2',
          'xupdate-processor>=0.4',
          'erp5diff>=0.8.1.3',
          'Products.ERP5Type',
          'Products.CMFActivity',
          'Products.CMFCategory',
          'Products.ERP5Catalog',
          'Products.ERP5Form'
      ],
      )
